function TestArrestCoefficient(aImarisApplicationID)

 
end

%---------------------------------------------------------%

%
% 	TestStatExtractionMethod function 
%
%		@param imarisApplication
%
	
function bool = TestStatParsingMethod( imarisApplication  )

	vObject = chooseObjects( imarisApplication );	

	stats=vObject.GetStatistics();
	
	tracksStruct = getTrackIndicesStruct( vObject );
	
	ids = sort(unique(cat(1,tracksStruct.ids)));
	
	indexShift = double(sort(unique(stats.mIds)));
	indexShift = indexShift(2);
	
	for i = 1:length(tracksStruct)
		tracksStruct(i).StatIDs =  (tracksStruct(i).ids + indexShift);
	end
	

	
	%% run test of method
	stat = 'Position X';
	statInds = GetStatIndices( stats.mNames, stat, stats.mIds, ids );
	statIDs = stats.mIds(statInds);
	values = stats.mValues(statInds);
	
	tracksStruct(1).posX1 = [];
	for i = 1:length(tracksStruct)
		ar = nan(length(tracksStruct(i).ids),1);
		for j = 1:length(tracksStruct(i).ids)
			%disp(tracksStruct(i).StatIDs(j))
			%disp('tracksStruct(i).StatIDs(j)')
			ind = find(statIDs == tracksStruct(i).StatIDs(j)); % only take first one, there might be multiple
			%disp(ind)
			%disp('ind')
			ind = ind(1);
			ar(j) = values(ind);
		end
		tracksStruct(i).posX1 = ar;
	end
	
	
	%% using Imaris GetCenterOfMass function, the x position should be the same
	for i = 1:length(tracksStruct)
		ar = nan(length(tracksStruct(i).ids),1);
		for j = 1:length(tracksStruct(i).ids)
	        val = vObject.GetCenterOfMass(tracksStruct(i).ids(j));
	        val = val(1);
			ar(j) = val;
		end
		tracksStruct(i).posX2 = ar;
	end
	
	
	
	posX1 =  cat(1,tracksStruct.posX1);
	posX2 =  cat(1,tracksStruct.posX2);
	
	if posX1 == posX2
		disp('posX1 == posX2 Woot Woot!')
		bool = 1;
	else
		disp('posX1 ~= posX2 >:\')
		bool = 0;
	end
	

end


%---------------------------------------------------------%

%
% 	TestStops function 
%
%

function bool = TestStops()

	tracksStruct = struct();
	tracksStruct(1).Speed = [0.01 1 .01 .01 1 1 0.01];
	tracksStruct(2).Speed = [0.01 0.01];
	tracksStruct(3).Speed = [1 1 1 1 1 1];
	tracksStruct(4).Speed = [1 1 1 1 1 0.01];
	tracksStruct(5).Speed = [0.01 1 1 1 1 1];
	tracksStruct(6).Speed = [1 0.01 0.01 1];
	tracksStruct(7).Speed = [ 0.01 0.01 1];
	
	threshold = 0.02;
	
	stops = GetNumberOfStops(tracksStruct, threshold);
	
	actualStops = [3 1 0 1 1 1 1]';
	
	bool =  prod(actualStops == stops);
	
	if bool
		disp('Counting number of stops works!!!')
	else
		disp('Counting number of stops DOESNT work >:/')
	end
	

end


%---------------------------------------------------------%

%
% 	TestStops function 
%
%

function bool = TestArrestCoeff()

	tracksStruct = struct();
	tracksStruct(1).Speed = [0.01 1 .01 .01 1 1 0.01];
	tracksStruct(2).Speed = [0.01 0.01];
	tracksStruct(3).Speed = [1 1 1 1 1 1];
	tracksStruct(4).Speed = [1 1 1 1 1 0.01];
	tracksStruct(5).Speed = [0.01 1 1 1 1 1];
	tracksStruct(6).Speed = [1 0.01 0.01 1];
	tracksStruct(7).Speed = [ 0.01 0.01 1];
	
	threshold = 0.02;

	% get the percentage of track under threshold
	for i = 1:length(tracksStruct)
		
		bool = tracksStruct(i).Speed  < threshold;
		num = sum(bool);
		
		percent = num/length(tracksStruct(i).Speed) * 100;
		
		tracksStruct(i).ArrestCoefficient = percent;
	end
	
	
	actualAC = [(4/7) 1 0 1/6 1/6]'*100;	
	aCoeff = cat(1,tracksStruct.ArrestCoefficient);


	bool =  prod(aCoeff == actualAC);
	
	if bool == 1
		disp('AR fraction works')
	end
		
end







	




